Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IVec4R.Shear

    java.lang.Object
      igeo.IParameterObject
          igeo.IVec4R.Shear

All Implemented Interfaces:
  IParameter, ISubobject, IVal, IVec4Op, IVecOp

Enclosing class:
  IVec4R

    public static class IVec4R.Shear

extends IParameterObject
implements IVec4Op

Field Summary
`IDoubleOp` | `sxy`
`IDoubleOp` | `sxz`
`IDoubleOp` | `syx`
`IDoubleOp` | `syz`
`IDoubleOp` | `szx`
`IDoubleOp` | `szy`
`IVec4Op` | `v`

Fields inherited from class igeo.IParameterObject
`parent`

Constructor Summary
`IVec4R.Shear(IVec4Op v, IDoubleOp sxy, IDoubleOp syx, IDoubleOp syz, IDoubleOp szy, IDoubleOp szx, IDoubleOp sxz)`

Method Summary
`IVec4` | `get()`

Methods inherited from class igeo.IParameterObject
`createObject, parent, parent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### v

    public IVec4Op v

### sxy

    public IDoubleOp sxy

### syx

    public IDoubleOp syx

### syz

    public IDoubleOp syz

### szy

    public IDoubleOp szy

### szx

    public IDoubleOp szx

### sxz

    public IDoubleOp sxz

Constructor Detail

### IVec4R.Shear

    public IVec4R.Shear(IVec4Op v,
                        IDoubleOp sxy,
                        IDoubleOp syx,
                        IDoubleOp syz,
                        IDoubleOp szy,
                        IDoubleOp szx,
                        IDoubleOp sxz)

Method Detail

### get

    public IVec4 get()

  Specified by:
    `get` in interface `IParameter`
  Specified by:
    `get` in interface `IVec4Op`
  Specified by:
    `get` in interface `IVecOp`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD